#ifndef FSCFORMAT_H_
#define FSCFORMAT_H_

typedef struct
{
	uint_32t 	status;
	uint_32t 	time_sec;
	uint_16t 	time_ms;
	uint_16t 	FR_period;
	uint_16t 	rref;
	uint_8t		ad7719_readings_sincelast_muxing;
	uint_8t		ad7719_current_channel;
	uint_32t	ad7719_current_reading;
	uint_8t		adc_readings_sincelast_muxing;
	uint_8t		adc_current_channel;
	uint_32t	adc_current_reading;
	uint_8t		reserved[6];
	uint_8t		resistence_en[8];
	uint_8t		voltage_en[10];
	uint_8t		resistence_done[8];
	uint_8t		voltage_done[10];
	uint_32t	resisntace[64];
	uint_16t	voltage[76];
}  __attribute__((__packed__)) FSC_STATUS;


#endif //FSCFORMAT_H_
